> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get LLM configs

> Get all available LLM configurations



## OpenAPI

````yaml get /api/v1/llm-configs
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/llm-configs:
    get:
      tags:
        - Configuration
      summary: Get LLM configs
      description: Get all available LLM configurations
      responses:
        '200':
          description: List of available LLM configurations
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    description:
                      type: string
                      nullable: true
                    provider:
                      type: string
                      enum:
                        - OPENAI
                        - GOOGLE
                        - AMAZON
                        - ANTHROPIC
                        - META
                    model:
                      type: string
                    additionalConfig:
                      type: object
                      nullable: true
                      additionalProperties:
                        nullable: true
                  required:
                    - id
                    - name
                    - description
                    - provider
                    - model
                    - additionalConfig
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````